## org.eclipse.emf.cdo.ui
Class CDOEditorUtil

    java.lang.Object
      org.eclipse.emf.cdo.ui.CDOEditorUtil

    public final class CDOEditorUtil

extends java.lang.Object

Some utility methods to cope with CDOEditor and CDOEditorInput

Since:
  2.0

Method Summary
`static CDOEditorInput` `createCDOEditorInput(CDOView view, java.lang.String resourcePath, boolean viewOwned)` Returns an implementation of CDOEditorInput interface
`static IEditorReference[]` `findEditor(IWorkbenchPage page, CDOView view, java.lang.String resourcePath)` Returns references to possibly opened instances of CDOEditor with certain CDOView and resource
`static void` `openEditor(IWorkbenchPage page, CDOView view, java.lang.String resourcePath)` Opens the specified resource in CDOEditor
`static void` `refreshEditors(IWorkbenchPage page, CDOView view)` Refreshes all editor's viewers that are using certain CDOView.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createCDOEditorInput

    public static CDOEditorInput createCDOEditorInput(CDOView view,
                                                      java.lang.String resourcePath,
                                                      boolean viewOwned)

  Returns an implementation of CDOEditorInput interface

  Parameters:
    `` -

### openEditor

    public static void openEditor(IWorkbenchPage page,
                                  CDOView view,
                                  java.lang.String resourcePath)

  Opens the specified resource in CDOEditor

  Parameters:
    `page` - The page in which the editor will be open
    `resourcePath` - absolute path to the resource in the repository

### findEditor

    public static IEditorReference[] findEditor(IWorkbenchPage page,
                                                CDOView view,
                                                java.lang.String resourcePath)

  Returns references to possibly opened instances of CDOEditor with certain CDOView and resource

  Parameters:
    `page` - The page where to search for opened editors
    `view` - The editors to find are using the specified CDOView
    `resourcePath` - The editors are editing the CDOResource specified with this path

### refreshEditors

    public static void refreshEditors(IWorkbenchPage page,
                                      CDOView view)

  Refreshes all editor's viewers that are using certain CDOView.

  Parameters:
    `page` - the IWorkbenchPage where CDOEditor is opened
    `view` - instance of CDOView our editors are using

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.